gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.AccelGroupEntry

Contents

- Exported types
- Methods
- Properties
  - accelPathQuark
  - closure
  - key

Description

No description available in the introspection data.

Synopsis

- newtype AccelGroupEntry = AccelGroupEntry (ManagedPtr AccelGroupEntry)
- newZeroAccelGroupEntry :: MonadIO m => m AccelGroupEntry
- getAccelGroupEntryAccelPathQuark :: MonadIO m => AccelGroupEntry -> m Word32
- setAccelGroupEntryAccelPathQuark :: MonadIO m => AccelGroupEntry -> Word32 -> m ()
- clearAccelGroupEntryClosure :: MonadIO m => AccelGroupEntry -> m ()
- getAccelGroupEntryClosure :: MonadIO m => AccelGroupEntry -> m (Maybe (GClosure ()))
- setAccelGroupEntryClosure :: MonadIO m => AccelGroupEntry -> Ptr (GClosure ()) -> m ()
- getAccelGroupEntryKey :: MonadIO m => AccelGroupEntry -> m AccelKey

# Exported types

newtype AccelGroupEntry Source #

Memory-managed wrapper type.

Constructors

AccelGroupEntry (ManagedPtr AccelGroupEntry) |

#### Instances

Instances details

Eq AccelGroupEntry Source # |
Instance details Defined in GI.Gtk.Structs.AccelGroupEntry Methods (==) :: AccelGroupEntry -> AccelGroupEntry -> Bool Source # (/=) :: AccelGroupEntry -> AccelGroupEntry -> Bool Source #
BoxedPtr AccelGroupEntry Source # |
Instance details Defined in GI.Gtk.Structs.AccelGroupEntry Methods boxedPtrCopy :: AccelGroupEntry -> IO AccelGroupEntry Source # boxedPtrFree :: AccelGroupEntry -> IO () Source #
CallocPtr AccelGroupEntry Source # |
Instance details Defined in GI.Gtk.Structs.AccelGroupEntry Methods boxedPtrCalloc :: IO (Ptr AccelGroupEntry) Source #
ManagedPtrNewtype AccelGroupEntry Source # |
Instance details Defined in GI.Gtk.Structs.AccelGroupEntry Methods toManagedPtr :: AccelGroupEntry -> ManagedPtr AccelGroupEntry Source #
tag ~ 'AttrSet => Constructible AccelGroupEntry tag Source # |
Instance details Defined in GI.Gtk.Structs.AccelGroupEntry Methods new :: MonadIO m => (ManagedPtr AccelGroupEntry -> AccelGroupEntry) -> [AttrOp AccelGroupEntry tag] -> m AccelGroupEntry Source #

newZeroAccelGroupEntry :: MonadIO m => m AccelGroupEntry Source #

Construct a `AccelGroupEntry` struct initialized to zero.

# Methods

# Properties

## accelPathQuark

No description available in the introspection data.

getAccelGroupEntryAccelPathQuark :: MonadIO m => AccelGroupEntry -> m Word32 Source #

Get the value of the “`accel_path_quark`” field. When overloading is enabled, this is equivalent to

    get accelGroupEntry #accelPathQuark

setAccelGroupEntryAccelPathQuark :: MonadIO m => AccelGroupEntry -> Word32 -> m () Source #

Set the value of the “`accel_path_quark`” field. When overloading is enabled, this is equivalent to

    set accelGroupEntry [ #accelPathQuark := value ]

## closure

No description available in the introspection data.

clearAccelGroupEntryClosure :: MonadIO m => AccelGroupEntry -> m () Source #

Set the value of the “`closure`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #closure

getAccelGroupEntryClosure :: MonadIO m => AccelGroupEntry -> m (Maybe (GClosure ())) Source #

Get the value of the “`closure`” field. When overloading is enabled, this is equivalent to

    get accelGroupEntry #closure

setAccelGroupEntryClosure :: MonadIO m => AccelGroupEntry -> Ptr (GClosure ()) -> m () Source #

Set the value of the “`closure`” field. When overloading is enabled, this is equivalent to

    set accelGroupEntry [ #closure := value ]

## key

No description available in the introspection data.

getAccelGroupEntryKey :: MonadIO m => AccelGroupEntry -> m AccelKey Source #

Get the value of the “`key`” field. When overloading is enabled, this is equivalent to

    get accelGroupEntry #key